changeset 4204:a451ba84410d

console mplayer launcher - by Rich Felker <dalias@aerifal.cx>
author arpi
date Thu, 17 Jan 2002 00:39:27 +0000
parents 7cfa69df9e0b
children c42ab0e5bbbc
files TOOLS/mpconsole
diffstat 1 files changed, 12 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/TOOLS/mpconsole	Thu Jan 17 00:39:27 2002 +0000
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Script to run mplayer on the console (fbdev/mga_vid/etc) without
+# the console text and/or flashing cursor getting in the way.
+# Written by Rich Felker.
+
+trap "tput cnorm ; exit 1" SIGQUIT SIGINT EXIT
+res=`fbset | grep geometry | sed 's/^ *//'`
+width=`echo "$res" | cut -d' ' -f2`
+height=`echo "$res" | cut -d' ' -f3`
+tput civis
+clear
+mplayer -vo mga -screenw "$width" -screenh "$height" "$@" >/dev/null 2>&1